Bug 243589 - devel/blame homepage needs changing
Summary: devel/blame homepage needs changing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-25 15:39 UTC by Thomas E. Dickey
Modified: 2020-05-18 20:26 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (jhein)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas E. Dickey 2020-01-25 15:39:58 UTC
As noted in

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927740

the upstream for devel/blame went away in mid-2018.
I've provided a new homepage for it here:

https://invisible-island.net/rcs-blame/
ftp://ftp.invisible-island.net/rcs-blame
https://invisible-mirror.net/archives/rcs-blame/

(I noticed it because I use this port).
Comment 1 Rene Ladan freebsd_committer 2020-05-17 16:33:43 UTC
@Thomas: can you add a version number to the distribution files on your website, so blame-1.3.1.tar.gz instead of blame.tar.gz ? This makes managing updates to the port much easier.
Comment 2 Thomas E. Dickey 2020-05-17 17:55:38 UTC
That's done in the ftp area.  The webpage points only to the current version.

See

ftp://ftp.invisible-island.net/rcs-blame
https://invisible-mirror.net/archives/rcs-blame/

I use this arrangement for all of my projects, to reduce the edits on the webpages.  The current-version is done with a script...
Comment 3 commit-hook freebsd_committer 2020-05-17 18:27:57 UTC
A commit references this bug:

Author: rene
Date: Sun May 17 18:26:59 UTC 2020
New revision: 535583
URL: https://svnweb.freebsd.org/changeset/ports/535583

Log:
  devel/blame: fix fetch, the port was adopted to a new website.

  PR:		243589
  Submitted by:	Thomas E. Dickey
  Approved by:	maintainer timeout (3.5 months)
  MFH:		2020Q2

Changes:
  head/devel/blame/Makefile
  head/devel/blame/pkg-descr
Comment 4 commit-hook freebsd_committer 2020-05-18 20:23:24 UTC
A commit references this bug:

Author: rene
Date: Mon May 18 20:22:25 UTC 2020
New revision: 535785
URL: https://svnweb.freebsd.org/changeset/ports/535785

Log:
  MFH: r535583

  devel/blame: fix fetch, the port was adopted to a new website.

  PR:		243589
  Submitted by:	Thomas E. Dickey
  Approved by:	maintainer timeout (3.5 months)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/devel/blame/Makefile
  branches/2020Q2/devel/blame/pkg-descr